%define name		openal
%define version		0.0.8
%define	release		%mkrel 5
%define lib_name_orig	lib%{name}
%define lib_major	0
%define lib_name	%mklibname %{name} %{lib_major}
%define	lib_name_devel	%mklibname %{name} %{lib_major} -d

Name:		%{name}
Summary:	3D Sound Library
Version:	%{version}
Release:	%{release}
License:	LGPL
Source:		http://www.openal.org/openal_webstf/downloads/%{name}-%{version}.tar.gz
Patch0:		openal-0.0.8-requirements.patch
Patch1:		fix_gcc-4.2.diff
URL:		http://www.openal.org/
Group:		Sound
Requires(post):	info-install
Requires(preun):	info-install
BuildRequires:	esound-devel arts-devel smpeg-devel texinfo SDL-devel oggvorbis-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
OpenAL is a free 3D-audio library, with a programming interface similar
to that of OpenGL.

%package -n	%{lib_name}
Summary:	Main library for OpenAL, a free 3D sound library
Group:		Sound
Provides:	%{name} = %{version}-%{release}

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with OpenAL.

%package -n	%{lib_name_devel}
Summary:	Headers for developing programs that will use OpenAL
Group:		Development/C

Requires:	%{lib_name} = %{version}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{lib_name_devel}
This package contains the headers that programmers will need to develop
applications which will use OpenAL, a free 3D audio library.

%prep
%setup -q
%patch0 -p1 -b .requirements
%patch1 -p1 -b .gcc4.2

%build
CFLAGS="$RPM_OPT_FLAGS -O3" \
%configure2_5x	--enable-alsa \
		--enable-alsa-dlopen \
		--enable-arts \
		--enable-arts-dlopen \
		--enable-esd \
		--enable-esd-dlopen \
		--enable-waveout \
		--enable-null \
		--enable-sdl \
		--enable-vorbis \
		--enable-smpeg \
		--enable-capture \
		--enable-optimization \
		--disable-debug
%make

%install
rm -rf %{buildroot}
%makeinstall
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/%{name}-config

install -d %{buildroot}%{_sysconfdir}
cat << EOF > %{buildroot}%{_sysconfdir}/openalrc
(define devices '(native alsa sdl esd arts null))
EOF

%clean
rm -rf %{buildroot}

%post -n	%{lib_name} -p /sbin/ldconfig

%post -n	%{lib_name}-devel
%_install_info %{name}.info

%preun -n	%{lib_name}-devel
%_remove_install_info %{name}.info

%postun -n	%{lib_name} -p /sbin/ldconfig

%files -n	%{lib_name}
%defattr(644,root,root,0755)
%doc AUTHORS ChangeLog NEWS NOTES README TODO
%config(noreplace) %{_sysconfdir}/openalrc
%defattr(755,root,root,0755)
%{_libdir}/*.so.*

%files -n	%{lib_name_devel}
%defattr(644,root,root,0755)
%{_includedir}/AL
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/%{name}.pc
%defattr(755,root,root,0755)
%{_libdir}/*.so
%{_bindir}/%{name}-config
%{multiarch_bindir}/%{name}-config




%changelog
* Mon Jul 16 2007 Olivier Blin <oblin@mandriva.com> 0.0.8-5mdv2008.0
+ Revision: 52657
- fix ALCvoid patch

* Mon Jul 16 2007 Olivier Blin <oblin@mandriva.com> 0.0.8-4mdv2008.0
+ Revision: 52619
- fix build with gcc 4.2 and Werror (from Debian #379862)

* Wed Jun 27 2007 Olivier Blin <oblin@mandriva.com> 0.0.8-3mdv2008.0
+ Revision: 45022
- remove invalid pkgconfig requirements (makes pkg-config --exists fail)


* Tue Dec 05 2006 Olivier Blin <oblin@mandriva.com> 0.0.8-2mdv2007.0
+ Revision: 90655
- drop multiarch macro that does not expand anymore in files section
- 0.0.8 final (still one year old)
- Import openal

* Tue Aug 01 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.0.8-1.20050824.2mdv2007.0
- add config to have openal try several output devices (fixes #23355)
- fix requires for info-install
- fix macro-in-%%changelog

* Thu Aug 25 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.0.8-1.20050824.1mdk
- new cvs snapshot
- remove some configure options that's no longer used

* Sun Jul 10 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.0.8-1.20050709.1mdk
- update to latest from cvs
- dlopen arts, alsa and esd (fixes #16713)

* Fri May 06 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.0.8-1.20050505.1mdk
- update to latest from cvs
- lib64 fix
- %%mkrel
- drop P2 (fixed upstream)

* Sat Mar 12 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.8-1.20050312.1mdk
- bah, really update to latest from cvs
- multiarch
- let release tag reflect on cvs date

* Sat Feb 19 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.8-1mdk
- new cvs snapshot (micro version bumpedn to 8
- fix summary-ended-with-dot

* Thu Dec 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.7-3mdk
- new cvs snapshot
- --disable-arch-asm for now

* Sat Oct 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.7-2mdk
- disable jlib

* Thu Jul 29 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.7-1mdk
- new cvs snapshot (micro version bumped to 7
- fix buildrequires

* Wed Jun 09 2004 Götz Waschk <waschk@linux-mandrake.com> 0.0.6-14mdk
- rebuild

* Tue Feb 10 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.6-13mdk
- new cvs snapshot
- spec cosmetics
- drop P3, fixed upstream

* Tue Dec 23 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.0.6-12mdk
- new cvs snapshot
- alsa 1.0 support (P3, done by me, so probably ugly;)
- s/%%configure2_5x/%%configure/

